このスレッドは解決済です(未解決に戻す場合はこちら)
<<戻る

pearのmimeDecode このメッセージに返信する
日時: 2009/04/03 10:46
名前: いとおちゃん
URL: http://yumesv.com/
pearのmimeDecodeをインストールしたいので、
# pear install Mail_mime
を実行したところ
# pear install Mail_mime
pear/Mail_Mime requires PEAR Installer (version >= 1.6.0), installed version is 1.4.9
pear/Mail_mimeDecode requires PEAR Installer (version >= 1.6.0), installed version is 1.4.9
pear/Mail_mimeDecode requires package "pear/Mail_Mime" (version >= 1.4.0, excluded versions: 1.4.0)
No valid packages found
install failed
となってしまいインストールができませんでした。
見る限り、PEARのインストーラが1.4.9なためできないという意味だと思うので、
どうすれば1.6.0にすることができますか。
記事編集 編集

Page: | 1 | 2 |

Re: pearのmimeDecode このメッセージに返信する
日時: 2009/04/03 12:44
名前: いとおちゃん
URL: http://yumesv.com/

"pear/ PEARパッケージをスキップする"は、すでにバージョン1.7.2がインストールされて
有効なパッケージが見つかりました
アップグレードに失敗しました
1.7.2がインストールされているのにまだmimeDecodeはインストールできません。
# pear install Mail_mime
pear/Mail_Mime requires PEAR Installer (version >= 1.6.0), installed version is 1.4.9
pear/Mail_mimeDecode requires PEAR Installer (version >= 1.6.0), installed version is 1.4.9
pear/Mail_mimeDecode requires package "pear/Mail_Mime" (version >= 1.4.0, excluded versions: 1.4.0)
No valid packages found
install failed
記事編集 編集
Re: pearのmimeDecode このメッセージに返信する
日時: 2009/04/03 13:02
名前: stranger
URL: http://ja.528p.com/
pear upgrade PEAR
では?
記事編集 編集
Re: pearのmimeDecode このメッセージに返信する
日時: 2009/04/03 13:22
名前: いとおちゃん
URL: http://yumesv.com/
# pear upgrade PEAR
Skipping package "pear/PEAR", already installed as version 1.7.2
No valid packages found
upgrade failed
試してみましたができませんでした

Skipping package "pear/PEAR"なのでpearでもPEARでもどっちでもいいのでは?
記事編集 編集
Re: pearのmimeDecode このメッセージに返信する
日時: 2009/04/03 13:37
名前: ZED
URL:

http://www.pear-forum.org/viewtopic.php?p=2366
これに当たりますかね〜
記事編集 編集
Re: pearのmimeDecode このメッセージに返信する
日時: 2009/04/03 13:48
名前: いとおちゃん
URL: http://yumesv.com/
# pear install -f Mail_mime
warning: pear/Mail_Mime requires PEAR Installer (version >= 1.6.0), installed version is 1.4.9
warning: pear/Mail_mimeDecode requires PEAR Installer (version >= 1.6.0), installed version is 1.4.9
downloading Mail_Mime-1.5.2.tgz ...
Starting to download Mail_Mime-1.5.2.tgz (22,176 bytes)
........done: 22,176 bytes
downloading Mail_mimeDecode-1.5.0.tgz ...
Starting to download Mail_mimeDecode-1.5.0.tgz (9,281 bytes)
...done: 9,281 bytes
install ok: channel://pear.php.net/Mail_mimeDecode-1.5.0
install ok: channel://pear.php.net/Mail_Mime-1.5.2
# pear list
Package Version State
Archive_Tar 1.3.2 stable
Console_Getopt 1.2.3 stable
Mail 1.1.14 stable
Mail_Mime 1.5.2 stable
Mail_mimeDecode 1.5.0 stable
PEAR 1.7.2 stable
Structures_Graph 1.0.2 stable
XML_Parser 1.3.2 stable
XML_RPC 1.5.1 stable
ありがとうございます、-fオプションを付ければインストールできました。
記事編集 編集

Page: | 1 | 2 |

件名※必須
名前※必須
URL
任意のパスワード (投稿後のコメント修正・削除時に使用)
画像認証※必須 投稿キー(画像で表示されている数字を入力)
コメント※必須

※質問を投稿後に自己解決された場合は、原因と行った対処を具体的に書き込み下さるよう、よろしくお願いします。

- WEB PATIO -